Bug 1387925 - RFE: Display all unsigned package errors instead of only one
Summary: RFE: Display all unsigned package errors instead of only one
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged, UserExperience
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-23 21:10 UTC by Randy Barlow
Modified: 2017-07-25 16:56 UTC (History)
6 users (show)

Fixed In Version: dnf-2.6.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:56:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Randy Barlow 2016-10-23 21:10:43 UTC
Description of problem:
When dnf encounters an unsigned package, it exits immediately with an error similar to this:

Error: Package texlive-babel-svn40706-15.fc26.1.noarch.rpm is not signed

If I then go to koji and download that package (over TLS for safety!) and install it, the next time I run dnf it will tell me about another package that is not signed.

It would be more helpful if dnf would tell me the complete list of unsigned packages in one operation, rather than only telling them to me one at a time.


Version-Release number of selected component (if applicable):
dnf-1.1.10-2.fc26.noarch

Comment 1 Jaroslav Mracek 2017-05-31 10:15:02 UTC
I created a pull request that should solve the issue (https://github.com/rpm-software-management/dnf/pull/834).

Comment 2 Fedora Update System 2017-07-24 14:52:32 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 3 Fedora Update System 2017-07-25 04:27:28 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 4 Fedora Update System 2017-07-25 16:56:27 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.